Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.monitor
Interface ProvisionMonitorImplMBean

All Superinterfaces:
  ServiceBeanAdapterMBean

    public interface ProvisionMonitorImplMBean

extends ServiceBeanAdapterMBean

Created by IntelliJ IDEA. User: ming Date: Aug 7, 2006 Time: 11:36:17 PM

Method Summary
`Map` | `deploy(String opStringUrl)` Deploy an OperationalString URL to the ProvisionMonitor.
`TabularData` | `getDeployments()` Get the current deployments for the ProvisionMonitor
`boolean` | `undeploy(String name)` Undeploy and Remove an OperationalString deployed by the ProvisionMonitor.

Methods inherited from interface org.jini.rio.jsb.ServiceBeanAdapterMBean
`advertise, destroy, destroy, getLookupGroups, getStarted, setLookupGroups, unadvertise`

Method Detail

### deploy

    Map deploy(String opStringUrl)
               throws MalformedURLException

  Deploy an OperationalString URL to the ProvisionMonitor. The ProvisionMonitor will attempt to load the argument first from the local file system as a `File` object, if the `File` object exists, it will be used, otherwise the argument will be used to create a `URL` object. If the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `opStringUrl` - The URL indicating the location of the OperationalString to deploy
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `NullPointerException` - if the opStringUrl is `null`
    `MalformedURLException` - if the opStringUrl cannot be used to create a `java.net.URL`

### undeploy

    boolean undeploy(String name)

  Undeploy and Remove an OperationalString deployed by the ProvisionMonitor. The ProvisionMonitor will search for the OperationalString by it's name and if found, remove the OperationalString and any nested OperationalStrings that are included by the OperatinalString. As a result of undeploying the OperationalString(s), all services that have a provision type of ServiceProvisionManagement.DYNAMIC or ServiceProvisionManagement.FIXED will be terminated. If any DeploymentRequest or RedeploymenRequests are pending for the OperationalString(s) being undeployed, these requests will be cancelled

  Parameters:
    `name` - The name of the OperationalString to remove
  Returns:
    Returns true if the OperationalString has been undeployed
  Throws:
    `NullPointerException` - if the name is `null`

### getDeployments

    TabularData getDeployments()

  Get the current deployments for the ProvisionMonitor

  Returns:
    The current deployments in a tabular form, containing the deployment name, the role of the Provisioner, and the time deployed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.